import request from '@/utils/request'


// 查询模版管理列表
export function listTemplateProp(query) {
  return request({
    url: '/business/templateProp/list',
    method: 'get',
    params: query
  })
}

// 查询模版属性详细
export function getTemplateProp(id) {
  return request({
    url: '/business/templateProp/' + id,
    method: 'get'
  })
}

// 新增模版属性
export function addTemplateProp(data) {
  return request({
    url: '/business/templateProp',
    method: 'post',
    data: data
  })
}

// 修改模版属性
export function updateTemplateProp(data) {
  return request({
    url: '/business/templateProp',
    method: 'put',
    data: data
  })
}

// 删除模版属性
export function delTemplateProp(id) {
  return request({
    url: '/business/templateProp/' + id,
    method: 'delete'
  })
}
